%define version  1.0.0
%define release  1
%define libver   1.0.0
%define libmajor 1

%define distro %(awk '/Fedora/{print $4}; /Red Hat/{print $5}' 2>/dev/null < /etc/redhat-release)

Summary:      Clxclient C++ libraries
Name:         clxclient
Version:      %{version}
Release:      %{release}
License:      GPL
Group:        System Environment/Libraries
URL:          http://users.skynet.be/solaris/linuxaudio/
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

Obsoletes:    classlibs <= 0.0.1

BuildRequires: gcc-c++ clthreads-devel
%if "%{distro}" == "2"
BuildRequires: xorg-x11-devel
%else
BuildRequires: XFree86-devel
%endif

%description
Clxclient C++ libraries

%package  devel
Summary:  Clxclient C++ libraries
Group:    Development/Libraries
Requires: clxclient = %{version}-%{release}

Obsoletes: classlibs-devel <= 0.0.1

%description devel
Clxclient C++ libraries. This package includes the
development tools.

%prep
%setup -q -n %{name}-%{version}

%build
perl -p -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
make CLXCLIENT_LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
     CLXCLIENT_INCDIR=$RPM_BUILD_ROOT%{_includedir} install

# create .so.1 link
ln -s libclxclient.so.%{libver} $RPM_BUILD_ROOT%{_libdir}/libclxclient.so.%{libmajor}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0
* Wed Jun 16 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- DOH!, obsolete the -devel package as well...
* Mon Jun 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-1
- obsoletes classlibs
- first build
* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- moved so file to main package to keep aeolus happy
* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-2
- force apps to link with the major release name of the libraries
  (ie: ".so.0" instead of ".so")
* Tue May  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-1
- initial build, needed for releasing Aeolus
